### Function

# GObject ParamSpecPool new

#### Declaration [src]

    GParamSpecPool*
    g_param_spec_pool_new (
      gboolean type_prefixing
    )

#### Description [src]

Creates a new `GParamSpecPool`.

If `type_prefixing` is `TRUE`, lookups in the newly created pool will allow to specify the owner as a colon-separated prefix of the property name, like “GtkContainer:border-width”. This feature is deprecated, so you should always set `type_prefixing` to `FALSE`.

This function is not directly available to language bindings.

#### Parameters

`type_prefixing`

  Type: `gboolean`

  Whether the pool will support type-prefixed property names.

#### Return value

Type: `GParamSpecPool`

A newly allocated `GParamSpecPool`.

The caller of the function takes ownership of the data, and is responsible for freeing it.